local ElvUI_EltreumUI, E, L, V, P, G = unpack(select(2, ...))
local classcolor = E:ClassColor(E.myclass, true)
local _G = _G
local IsAddOnLoaded = _G.IsAddOnLoaded

function ElvUI_EltreumUI:SetupLayoutDPS()
	if not E.db.movers then E.db.movers = {} end
	if E.Retail then
		E.db["unitframe"]["units"]["player"]["customTexts"] = E.db["unitframe"]["units"]["player"]["customTexts"] or {}
		E.db["unitframe"]["units"]["player"]["customTexts"]["EltreumPlayerAbsorb"] = {
		["enable"] = false
		}
		E.db["unitframe"]["units"]["party"]["customTexts"] = E.db["unitframe"]["units"]["party"]["customTexts"] or {}
		E.db["unitframe"]["units"]["party"]["customTexts"]["EltreumPartyAbsorb"] = {
		["enable"] = false
		}
		E.db["unitframe"]["units"]["raid1"]["customTexts"] = E.db["unitframe"]["units"]["raid1"]["customTexts"] or {}
		E.db["unitframe"]["units"]["raid1"]["customTexts"]["EltreumRaid1Absorb"] = {
		["enable"] = false
		}
		E.db["unitframe"]["units"]["raid2"]["customTexts"] = E.db["unitframe"]["units"]["raid2"]["customTexts"] or {}
		E.db["unitframe"]["units"]["raid2"]["customTexts"]["EltreumRaid2Absorb"] = {
		["enable"] = false
		}
		E.db["unitframe"]["units"]["raid3"]["customTexts"] = E.db["unitframe"]["units"]["raid3"]["customTexts"] or {}
		E.db["unitframe"]["units"]["raid3"]["customTexts"]["EltreumRaid3Absorb"] = {
		["enable"] = false
		}
		E.db["unitframe"]["units"]["target"]["customTexts"] = E.db["unitframe"]["units"]["target"]["customTexts"] or {}
		E.db["unitframe"]["units"]["target"]["customTexts"]["EltreumTargetAbsorb"] = {
		["enable"] = false
		}
	end
	local width = GetPhysicalScreenSize()

	--healprediction
	E.db["unitframe"]["units"]["target"]["healPrediction"]["enable"] = true
	E.db["unitframe"]["units"]["player"]["healPrediction"]["enable"] = true
	E.db["unitframe"]["units"]["party"]["healPrediction"]["enable"] = false
	E.db["unitframe"]["units"]["raid1"]["healPrediction"]["enable"] = false
	E.db["unitframe"]["units"]["raid2"]["healPrediction"]["enable"] = false
	E.db["unitframe"]["units"]["raid3"]["healPrediction"]["enable"] = false
	E.db["unitframe"]["units"]["raidpet"]["healPrediction"]["enable"] = false
	E.db["unitframe"]["units"]["tank"]["healPrediction"]["enable"] = false

	--aura indicator
	E.db["unitframe"]["units"]["party"]["buffIndicator"]["enable"] = true
	E.db["unitframe"]["units"]["raid1"]["buffIndicator"]["enable"] = true
	E.db["unitframe"]["units"]["raid2"]["buffIndicator"]["enable"] = true
	E.db["unitframe"]["units"]["raid3"]["buffIndicator"]["enable"] = true
	E.db["unitframe"]["units"]["tank"]["buffIndicator"]["enable"] = true

	-- set Dynamic Status Icons
	if IsAddOnLoaded("ElvUI_DynamicStatusIcons") then
		E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["anchorPoint"] = "BOTTOMRIGHT"
		E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["color"]["b"] = 0.4274500310421
		E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["color"]["g"] = 0.60784178972244
		E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["color"]["r"] = 0.77646887302399
		E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["faceright"] = true
		E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["iconpack"] = "Default - Pepe - Traveler"
		E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["scale"] = 0.8
		E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["xOffset"] = -75
		E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["yOffset"] = -83
		E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["anchorPoint"] = "BOTTOMLEFT"
		E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["color"]["b"] = 0.4274500310421
		E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["color"]["g"] = 0.60784178972244
		E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["color"]["r"] = 0.77646887302399
		E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["iconpack"] = "Default - Pepe - Clockwork"
		E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["scale"] = 0.8
		E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["xOffset"] = 75
		E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["yOffset"] = -83
	end

	-- ActionBars
	E.db["actionbar"]["addNewSpells"] = true
	E.db["actionbar"]["bar1"]["alpha"] = 1
	E.db["actionbar"]["bar1"]["backdropSpacing"] = 0
	E.db["actionbar"]["bar1"]["buttonHeight"] = 35
	E.db["actionbar"]["bar1"]["buttonSize"] = 45
	E.db["actionbar"]["bar1"]["buttonSpacing"] = 3
	E.db["actionbar"]["bar1"]["buttons"] = 7
	E.db["actionbar"]["bar1"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar1"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar1"]["flyoutDirection"] = "UP"
	E.db["actionbar"]["bar1"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar1"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar1"]["keepSizeRatio"] = false
	E.db["actionbar"]["bar1"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar1"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar1"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar1"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar1"]["macrotext"] = true
	E.db["actionbar"]["bar1"]["paging"]["DEATHKNIGHT"] = ""
	E.db["actionbar"]["bar1"]["paging"]["DEMONHUNTER"] = ""
	E.db["actionbar"]["bar1"]["paging"]["DRUID"] = ""
	E.db["actionbar"]["bar1"]["paging"]["HUNTER"] = ""
	E.db["actionbar"]["bar1"]["paging"]["MAGE"] = ""
	E.db["actionbar"]["bar1"]["paging"]["MONK"] = ""
	E.db["actionbar"]["bar1"]["paging"]["PALADIN"] = ""
	E.db["actionbar"]["bar1"]["paging"]["PRIEST"] = ""
	E.db["actionbar"]["bar1"]["paging"]["ROGUE"] = ""
	E.db["actionbar"]["bar1"]["paging"]["SHAMAN"] = ""
	E.db["actionbar"]["bar1"]["paging"]["WARLOCK"] = ""
	E.db["actionbar"]["bar1"]["paging"]["WARRIOR"] = ""
	E.db["actionbar"]["bar1"]["paging"]["EVOKER"] = ""
	E.db["actionbar"]["bar1"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
	E.db["actionbar"]["bar10"]["alpha"] = 1
	E.db["actionbar"]["bar10"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar10"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar10"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar10"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar10"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar10"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar10"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar10"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar10"]["macrotext"] = true
	E.db["actionbar"]["bar10"]["buttons"] = 12
	E.db["actionbar"]["bar10"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [petbattle] hide; show[combat][@target, exists]show;hide"
	E.db["actionbar"]["bar10"]["enabled"] = false
	E.db["actionbar"]["bar2"]["alpha"] = 1
	E.db["actionbar"]["bar2"]["buttonHeight"] = 30
	E.db["actionbar"]["bar2"]["buttonSize"] = 35
	E.db["actionbar"]["bar2"]["buttonSpacing"] = 3
	E.db["actionbar"]["bar2"]["buttons"] = 12
	E.db["actionbar"]["bar2"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar2"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar2"]["enabled"] = true
	E.db["actionbar"]["bar2"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar2"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar2"]["keepSizeRatio"] = false
	E.db["actionbar"]["bar2"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar2"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar2"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar2"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar2"]["macrotext"] = true
	E.db["actionbar"]["bar2"]["paging"]["DRUID"] = ""
	E.db["actionbar"]["bar2"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
	E.db["actionbar"]["bar3"]["alpha"] = 1
	E.db["actionbar"]["bar3"]["buttonHeight"] = 30
	E.db["actionbar"]["bar3"]["buttonSize"] = 35
	E.db["actionbar"]["bar3"]["buttonSpacing"] = 3
	E.db["actionbar"]["bar3"]["buttons"] = 12
	E.db["actionbar"]["bar3"]["buttonsPerRow"] = 12
	E.db["actionbar"]["bar3"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar3"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar3"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar3"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar3"]["keepSizeRatio"] = false
	E.db["actionbar"]["bar3"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar3"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar3"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar3"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar3"]["macrotext"] = true
	E.db["actionbar"]["bar3"]["paging"]["DRUID"] = ""
	E.db["actionbar"]["bar3"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
	E.db["actionbar"]["bar3"]["mouseover"] = false
	E.db["actionbar"]["bar4"]["mouseover"] = false
	E.db["actionbar"]["bar4"]["alpha"] = 1
	E.db["actionbar"]["bar4"]["backdrop"] = false
	E.db["actionbar"]["bar4"]["buttonHeight"] = 30
	E.db["actionbar"]["bar4"]["buttonSize"] = 35
	E.db["actionbar"]["bar4"]["buttonSpacing"] = 3
	E.db["actionbar"]["bar4"]["buttonsPerRow"] = 12
	E.db["actionbar"]["bar4"]["buttons"] = 12
	E.db["actionbar"]["bar4"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar4"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar4"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar4"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar4"]["keepSizeRatio"] = false
	E.db["actionbar"]["bar4"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar4"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar4"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar4"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar4"]["macrotext"] = true

	if E.Retail then
		E.db["actionbar"]["bar4"]["paging"]["DEATHKNIGHT"] = "[vehicleui] 16; [overridebar] 18;[possessbar] 16;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["DEMONHUNTER"] = "[vehicleui] 16; [overridebar] 18;[possessbar] 16[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["DRUID"] = "[vehicleui] 16; [overridebar] 18; [possessbar] 16; [bonusbar:1,nostealth] 7; [bonusbar:1,stealth] 8; [bonusbar:2] 10; [bonusbar:3] 9; [bonusbar:4] 10;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["HUNTER"] = "[vehicleui] 16; [overridebar] 18;[possessbar] 16;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["MAGE"] = "[vehicleui] 16; [overridebar] 18;[possessbar] 16;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["MONK"] = "[vehicleui] 16; [overridebar] 18; [possessbar] 16;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["PALADIN"] = "[vehicleui] 16; [overridebar] 18; [possessbar] 16;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["PRIEST"] = "[vehicleui] 16; [overridebar] 18; [possessbar] 16;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["ROGUE"] = "[bonusbar:1] 7;[bonusbar:1,nostealth] 4; [bonusbar:1,stealth] 7; [vehicleui] 16; [overridebar] 18; [possessbar] 12;[bonusbar:2] 8;[bonusbar:5] 11;" --other other besides this was causing problems with shadow dance
		E.db["actionbar"]["bar4"]["paging"]["SHAMAN"] = "[vehicleui] 16; [overridebar] 18; [possessbar] 16;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["WARLOCK"] = "[vehicleui] 16; [overridebar] 18;[possessbar] 16;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["WARRIOR"] = "[vehicleui] 16; [overridebar] 18;[possessbar] 16;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["EVOKER"] = "[vehicleui] 16; [overridebar] 18; [possessbar] 16;[bonusbar:5] 11;[bonusbar:1] 7;"
	else
		E.db["actionbar"]["bar4"]["paging"]["DEATHKNIGHT"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["DEMONHUNTER"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["DRUID"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12; [bonusbar:1,nostealth] 7; [bonusbar:1,stealth] 8; [bonusbar:2] 10; [bonusbar:3] 9; [bonusbar:4] 10;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["HUNTER"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["MAGE"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["MONK"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["PALADIN"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["ROGUE"] = "[bonusbar:1] 7;[bonusbar:1,nostealth] 4; [bonusbar:1,stealth] 7; [vehicleui] 12; [overridebar] 14; [possessbar] 12;[bonusbar:2] 8;[bonusbar:5] 11;" --other other besides this was causing problems with shadow dance
		E.db["actionbar"]["bar4"]["paging"]["SHAMAN"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["WARLOCK"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;[form:1] 7;[bonusbar:5] 11;"
		E.db["actionbar"]["bar4"]["paging"]["WARRIOR"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;[bonusbar:5] 11;[stance:1] 7; [stance:2] 8; [stance:3] 9;"
		E.db["actionbar"]["bar4"]["paging"]["PRIEST"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;[bonusbar:5] 11; [bonusbar:1] 7;"
	end

	E.db["actionbar"]["bar4"]["point"] = "BOTTOMLEFT"
	E.db["actionbar"]["bar4"]["visibility"] = "[vehicleui] show; [overridebar] show; [possessbar] show; [petbattle] hide; show;"
	E.db["actionbar"]["bar5"]["alpha"] = 1
	E.db["actionbar"]["bar5"]["buttonHeight"] = 30
	E.db["actionbar"]["bar5"]["buttonSize"] = 35
	E.db["actionbar"]["bar5"]["buttons"] = 12
	E.db["actionbar"]["bar5"]["buttonsPerRow"] = 12
	E.db["actionbar"]["bar5"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar5"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar5"]["enabled"] = false
	E.db["actionbar"]["bar5"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar5"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar5"]["keepSizeRatio"] = false
	E.db["actionbar"]["bar5"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar5"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar5"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar5"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar5"]["macrotext"] = true
	E.db["actionbar"]["bar5"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
	E.db["actionbar"]["bar6"]["alpha"] = 1
	E.db["actionbar"]["bar6"]["buttonHeight"] = 24
	E.db["actionbar"]["bar6"]["buttonSpacing"] = 3
	E.db["actionbar"]["bar6"]["buttonSize"] = 32
	E.db["actionbar"]["bar6"]["buttons"] = 12
	E.db["actionbar"]["bar6"]["buttonsPerRow"] = 12
	E.db["actionbar"]["bar6"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar6"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar6"]["enabled"] = true
	E.db["actionbar"]["bar6"]["flyoutDirection"] = "UP"
	E.db["actionbar"]["bar6"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar6"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar6"]["keepSizeRatio"] = false
	E.db["actionbar"]["bar6"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar6"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar6"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar6"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar6"]["macrotext"] = true
	E.db["actionbar"]["bar6"]["mouseover"] = true
	E.db["actionbar"]["bar7"]["alpha"] = 1
	E.db["actionbar"]["bar7"]["buttonHeight"] = 30
	E.db["actionbar"]["bar7"]["buttonSize"] = 35
	E.db["actionbar"]["bar7"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar7"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar7"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar7"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar7"]["keepSizeRatio"] = false
	E.db["actionbar"]["bar7"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar7"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar7"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar7"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar7"]["macrotext"] = true
	E.db["actionbar"]["bar7"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
	E.db["actionbar"]["bar7"]["enabled"] = false
	E.db["actionbar"]["bar8"]["alpha"] = 1
	E.db["actionbar"]["bar8"]["buttonHeight"] = 30
	E.db["actionbar"]["bar8"]["buttonSize"] = 35
	E.db["actionbar"]["bar8"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar8"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar8"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar8"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar8"]["keepSizeRatio"] = false
	E.db["actionbar"]["bar8"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar8"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar8"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar8"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar8"]["macrotext"] = true
	E.db["actionbar"]["bar8"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
	E.db["actionbar"]["bar8"]["enabled"] = false
	E.db["actionbar"]["bar9"]["alpha"] = 1
	E.db["actionbar"]["bar9"]["countFont"] = "Kimberley"
	E.db["actionbar"]["bar9"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar9"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["bar9"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar9"]["macroFont"] = "Kimberley"
	E.db["actionbar"]["bar9"]["macroFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["bar9"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar9"]["macroTextYOffset"] = 2
	E.db["actionbar"]["bar9"]["macrotext"] = true
	E.db["actionbar"]["bar9"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
	E.db["actionbar"]["bar9"]["enabled"] = false
	E.db["actionbar"]["barPet"]["backdrop"] = false
	E.db["actionbar"]["barPet"]["backdropSpacing"] = 0
	E.db["actionbar"]["barPet"]["buttonHeight"] = 24
	E.db["actionbar"]["barPet"]["buttonSize"] = 30
	E.db["actionbar"]["barPet"]["buttonSpacing"] = 3
	E.db["actionbar"]["barPet"]["buttonsPerRow"] = 5
	E.db["actionbar"]["barPet"]["countFont"] = "Kimberley"
	E.db["actionbar"]["barPet"]["countFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["barPet"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["barPet"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["barPet"]["keepSizeRatio"] = false
	E.db["actionbar"]["barPet"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; [@pet,exists] show; hide"
	E.db["actionbar"]["chargeCooldown"] = true
	E.db["actionbar"]["colorSwipeNormal"]["a"] = 1
	E.db["actionbar"]["desaturateOnCooldown"] = true
	E.db["actionbar"]["extraActionButton"]["alpha"] = 0.7
	E.db["actionbar"]["extraActionButton"]["clean"] = true
	E.db["actionbar"]["extraActionButton"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["extraActionButton"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["extraActionButton"]["scale"] = 0.7
	E.db["actionbar"]["font"] = "Kimberley"
	E.db["actionbar"]["lockActionBars"] = true
	E.db["actionbar"]["globalFadeAlpha"] = 1
	E.db["actionbar"]["microbar"]["backdrop"] = true
	E.db["actionbar"]["microbar"]["buttonHeight"] = 25
	E.db["actionbar"]["microbar"]["buttonSize"] = 22
	E.db["actionbar"]["microbar"]["buttonSpacing"] = 0
	E.db["actionbar"]["microbar"]["buttonsPerRow"] = 11
	E.db["actionbar"]["microbar"]["enabled"] = true
	E.db["actionbar"]["microbar"]["visibility"] = "[combat] hide; show"
	E.db["actionbar"]["microbar"]["mouseover"] = true
	E.db["actionbar"]["noPowerColor"]["b"] = 0.29019607843137
	E.db["actionbar"]["noPowerColor"]["g"] = 0.14509803921569
	E.db["actionbar"]["noPowerColor"]["r"] = 0.14509803921569
	E.db["actionbar"]["notUsableColor"]["b"] = 0.1921568627451
	E.db["actionbar"]["notUsableColor"]["g"] = 0.1921568627451
	E.db["actionbar"]["notUsableColor"]["r"] = 0.1921568627451
	E.db["actionbar"]["rightClickSelfCast"] = true
	E.db["actionbar"]["stanceBar"]["backdropSpacing"] = 0
	E.db["actionbar"]["stanceBar"]["buttonHeight"] = 20
	E.db["actionbar"]["stanceBar"]["buttonSize"] = 27
	E.db["actionbar"]["stanceBar"]["buttonSpacing"] = 3
	E.db["actionbar"]["stanceBar"]["buttons"] = 8
	E.db["actionbar"]["stanceBar"]["buttonsPerRow"] = 8
	E.db["actionbar"]["stanceBar"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["stanceBar"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["stanceBar"]["keepSizeRatio"] = false
	E.db["actionbar"]["stanceBar"]["inheritGlobalFade"] = true
	if E.Retail then
		E.db["actionbar"]["stanceBar"]["mouseover"] = true
	elseif E.Wrath or E.Classic then
		E.db["actionbar"]["stanceBar"]["mouseover"] = false
	end
	E.db["actionbar"]["stanceBar"]["style"] = "classic"
	E.db["actionbar"]["stanceBar"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
	E.db["actionbar"]["transparent"] = true
	E.db["actionbar"]["useDrawSwipeOnCharges"] = true
	E.db["actionbar"]["vehicleExitButton"]["hotkeyFont"] = "Kimberley"
	E.db["actionbar"]["vehicleExitButton"]["hotkeyFontOutline"] = "THICKOUTLINE"
	E.db["actionbar"]["vehicleExitButton"]["size"] = 24
	E.db["actionbar"]["zoneActionButton"]["alpha"] = 0.7
	E.db["actionbar"]["zoneActionButton"]["clean"] = true
	E.db["actionbar"]["zoneActionButton"]["scale"] = 0.7

	-- Auras
	E.db["auras"]["buffs"]["barColor"]["b"] = 0.86666476726532
	E.db["auras"]["buffs"]["barColor"]["g"] = 0.4392147064209
	E.db["auras"]["buffs"]["barNoDuration"] = false
	E.db["auras"]["buffs"]["barPosition"] = "LEFT"
	E.db["auras"]["buffs"]["barShow"] = false
	E.db["auras"]["buffs"]["barSize"] = 6
	E.db["auras"]["buffs"]["barSpacing"] = 0
	E.db["auras"]["buffs"]["barTexture"] = "Eltreum-Blank"
	E.db["auras"]["buffs"]["countFont"] = "Kimberley"
	E.db["auras"]["buffs"]["countFontOutline"] = "THICKOUTLINE"
	E.db["auras"]["buffs"]["countFontSize"] = 12
	E.db["auras"]["buffs"]["fadeThreshold"] = 10
	E.db["auras"]["buffs"]["horizontalSpacing"] = 7
	E.db["auras"]["buffs"]["maxWraps"] = 2
	E.db["auras"]["buffs"]["seperateOwn"] = -1
	E.db["auras"]["buffs"]["size"] = 32
	E.db["auras"]["buffs"]["sortDir"] = "+"
	E.db["auras"]["buffs"]["timeFont"] = "Kimberley"
	E.db["auras"]["buffs"]["timeFontOutline"] = "THICKOUTLINE"
	E.db["auras"]["buffs"]["timeFontSize"] = 12
	E.db["auras"]["buffs"]["verticalSpacing"] = 14
	E.db["auras"]["buffs"]["wrapAfter"] = 10
	E.db["auras"]["debuffs"]["barColor"]["b"] = 0.86666476726532
	E.db["auras"]["debuffs"]["barColor"]["g"] = 0.4392147064209
	E.db["auras"]["debuffs"]["barNoDuration"] = false
	E.db["auras"]["debuffs"]["barPosition"] = "LEFT"
	E.db["auras"]["debuffs"]["barShow"] = false
	E.db["auras"]["debuffs"]["barSize"] = 6
	E.db["auras"]["debuffs"]["barSpacing"] = 0
	E.db["auras"]["debuffs"]["barTexture"] = "Eltreum-Blank"
	E.db["auras"]["debuffs"]["countFont"] = "Kimberley"
	E.db["auras"]["debuffs"]["countFontOutline"] = "THICKOUTLINE"
	E.db["auras"]["debuffs"]["countFontSize"] = 12
	E.db["auras"]["debuffs"]["fadeThreshold"] = 10
	E.db["auras"]["debuffs"]["horizontalSpacing"] = 7
	E.db["auras"]["debuffs"]["size"] = 32
	E.db["auras"]["debuffs"]["sortDir"] = "+"
	E.db["auras"]["debuffs"]["timeFont"] = "Kimberley"
	E.db["auras"]["debuffs"]["timeFontOutline"] = "THICKOUTLINE"
	E.db["auras"]["debuffs"]["timeFontSize"] = 12
	E.db["auras"]["debuffs"]["verticalSpacing"] = 14
	E.db["auras"]["debuffs"]["wrapAfter"] = 10

	-- Growth Directions DPS/TANK
	E.db["unitframe"]["units"]["party"]["growthDirection"] = "DOWN_RIGHT"
	E.db["unitframe"]["units"]["raid1"]["growthDirection"] = "DOWN_RIGHT"
	E.db["unitframe"]["units"]["raid2"]["growthDirection"] = "DOWN_RIGHT"
	E.db["unitframe"]["units"]["raid3"]["growthDirection"] = "DOWN_RIGHT"

	-- Movers DPS/TANK
	E.db["movers"]["ArenaHeaderMover"] = "TOPRIGHT,UIParent,TOPRIGHT,-120,-354"
	E.db["movers"]["AzeriteBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,430,-1"
	E.db["movers"]["BNETMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-6,-254"
	E.db["movers"]["BelowMinimapContainerMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-516,157"
	E.db["movers"]["BigButtonsSeedBarMover"] = "TOP,ElvUIParent,TOP,0,-476"
	E.db["movers"]["BossButton"] = "BOTTOM,ElvUIParent,BOTTOM,0,72"
	E.db["movers"]["BossHeaderMover"] = "TOPRIGHT,UIParent,TOPRIGHT,-4,-306"
	E.db["movers"]["BuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-213,-4"
	E.db["movers"]["DebuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-213,-101"
	E.db["movers"]["DurabilityFrameMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,486,278"
	E.db["movers"]["ElvAB_1"] = "BOTTOM,ElvUIParent,BOTTOM,0,223"
	E.db["movers"]["ElvAB_10"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,264"
	E.db["movers"]["ElvAB_2"] = "BOTTOM,ElvUIParent,BOTTOM,0,191"
	E.db["movers"]["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,0,159"
	E.db["movers"]["ElvAB_4"] = "BOTTOM,ElvUIParent,BOTTOM,0,127"
	E.db["movers"]["ShiftAB"] = "BOTTOM,ElvUIParent,BOTTOM,0,106"
	if width == 1920 then
		E.db["movers"]["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,0,158"
		E.db["movers"]["ElvAB_4"] = "BOTTOM,ElvUIParent,BOTTOM,0,125"
		E.db["actionbar"]["bar2"]["buttonSpacing"] = 2
		E.db["actionbar"]["bar3"]["buttonSpacing"] = 2
		E.db["actionbar"]["bar4"]["buttonSpacing"] = 2
		E.db["actionbar"]["bar5"]["buttonSpacing"] = 2
		E.db["movers"]["ShiftAB"] = "BOTTOM,ElvUIParent,BOTTOM,0,103"
	end
	E.db["movers"]["ElvAB_5"] = "BOTTOM,ElvUIParent,BOTTOM,0,97"
	E.db["movers"]["ElvAB_6"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,205"
	E.db["movers"]["ElvAB_7"] = "BOTTOM,ElvUIParent,BOTTOM,0,66"
	E.db["movers"]["ElvAB_8"] = "BOTTOM,ElvUIParent,BOTTOM,0,35"
	E.db["movers"]["ElvAB_9"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,230"
	E.db["movers"]["ElvNP_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,334"
	E.db["movers"]["ElvUF_AssistMover"] = "BOTTOM,ElvUIParent,BOTTOM,155,43"
	E.db["movers"]["ElvUF_BodyGuardMover"] = "TOP,ElvUIParent,TOP,0,-440"
	E.db["movers"]["ElvUF_FocusMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,424,-204"
	E.db["movers"]["ElvUF_FocusCastbarMover"] = "TOP,ElvUIParent,TOP,0,-168"
	E.db["movers"]["ElvUF_PartyMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-247"
	E.db["movers"]["ElvUF_PetCastbarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,563,283"
	E.db["movers"]["ElvUF_PetMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,560,183"
	E.db["movers"]["ElvUF_PlayerAuraMover"] = "BOTTOM,ElvUIParent,BOTTOM,-276,239"
	E.db["movers"]["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,-266,268"
	E.db["movers"]["ElvUF_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,-280,299"
	E.db["movers"]["ElvUF_Raid1Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,1,-1"
	E.db["movers"]["ElvUF_Raid2Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,1,-1"
	E.db["movers"]["ElvUF_Raid3Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,1,-1"
	E.db["movers"]["ElvUF_RaidpetMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,4,736"
	E.db["movers"]["ElvUF_TankMover"] = "BOTTOM,ElvUIParent,BOTTOM,-155,39"
	E.db["movers"]["ElvUF_TargetCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,294,268"
	E.db["movers"]["ElvUF_TargetMover"] = "BOTTOM,ElvUIParent,BOTTOM,280,299"
	E.db["movers"]["ElvUF_TargetTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-438,299"
	E.db["movers"]["ElvUIBagMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,23"
	E.db["movers"]["ElvUIBankMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,0,23"
	E.db["movers"]["MoverEltruismWA"] = "BOTTOM,ElvUIParent,BOTTOM,0,271"
	E.db["movers"]["MoverEltruismWA2"] = "BOTTOM,ElvUIParent,BOTTOM,0,345"
	E.db["movers"]["MoverEltruismWAConsumables"] = "BOTTOM,ElvUIParent,BOTTOM,-279,353"
	E.db["movers"]["EnhancedVehicleBar_Mover"] = "BOTTOM,ElvUIParent,BOTTOM,0,-1"
	E.db["movers"]["MawBuffsBelowMinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-260"
	E.db["movers"]["ReputationBarMover"] = "TOP,ElvUIParent,TOP,0,0"
	E.db["movers"]["ExperienceBarMover"] = "TOP,ElvUIParent,TOP,0,-13"
	E.db["movers"]["GMMover"] = "TOP,ElvUIParent,TOP,239,-3"
	E.db["movers"]["GhostFrameMover"] = "TOP,ElvUIParent,TOP,0,-280"
	E.db["movers"]["HonorBarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-412,0"
	E.db["movers"]["LocationMover"] = "TOP,ElvUIParent,TOP,0,-2"
	E.db["movers"]["LootFrameMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,329,-156"
	E.db["movers"]["LossControlMover"] = "TOP,ElvUIParent,TOP,0,-317"
	E.db["movers"]["MasterExperienceMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,515,-79"
	E.db["movers"]["MicrobarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-412,23" --moved since it was overlapping with datatext
	E.db["movers"]["MinimapButtonAnchor"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,0,-223"
	E.db["movers"]["MinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-6,-3"
	E.db["movers"]["MirrorTimer1Mover"] = "TOP,ElvUIParent,TOP,-1,-96"
	E.db["movers"]["ObjectiveFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-65,-319"
	if E.Classic then
		E.db["movers"]["QuestTimerFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-258,-231"
		E.db["movers"]["QuestWatchFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-223,-304"
	elseif E.Wrath then
		E.db["movers"]["WatchFrameMover"] = "TOPRIGHT,UIParent,TOPRIGHT,-115,-306"
		E.db["movers"]["ObjectiveFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-110,-319"
	end
	E.db["movers"]["PetAB"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,560,129"
	E.db["movers"]["PetBattleABMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,-1"
	E.db["movers"]["PetBattleStatusMover"] = "TOP,ElvUIParent,TOP,0,1"
	E.db["movers"]["PowerWidgetMover"] = "TOP,ElvUIParent,TOP,0,-102"
	E.db["movers"]["TopCenterContainerMover"] = "TOP,ElvUIParent,TOP,0,-72"
	E.db["movers"]["RaidMarkerBarAnchor"] = "TOPLEFT,ElvUIParent,TOPLEFT,398,1"
	if IsAddOnLoaded("ElvUI_SLE") then
		E.db["movers"]["SLE_DataPanel_1_Mover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,199"
	end
	E.db["movers"]["SocialMenuMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-411"
	E.db["movers"]["SquareMinimapBar"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,0,-198"
	E.db["movers"]["TalkingHeadFrameMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,329,-154"
	E.db["movers"]["ThreatBarMover"] = "TOP,ElvUIParent,TOP,0,-42"
	E.db["movers"]["AlertFrameMover"] = "TOP,UIParent,TOP,0,-67"
	E.db["movers"]["TooltipMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,329,-154"
	E.db["movers"]["TorghastBuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-346"
	E.db["movers"]["TotemBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,100" --shaman
	E.db["movers"]["TotemTrackerMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,258" --class totem like consecration
	E.db["general"]["totems"]["growthDirection"] = "HORIZONTAL"
	E.db["general"]["totems"]["size"] = 30
	E.db["general"]["totems"]["spacing"] = 5
	if E.Wrath then
		--Shaman things
		E.db["actionbar"]["totemBar"]["buttonSize"] = 24
		E.db["actionbar"]["totemBar"]["flyoutSize"] = 24
		E.db["actionbar"]["totemBar"]["flyoutSpacing"] = 3
		E.db["actionbar"]["totemBar"]["font"] = "Kimberley"
		E.db["actionbar"]["totemBar"]["spacing"] = 5
		E.db["actionbar"]["totemBar"]["flyoutDirection"] = "DOWN"
		E.db["actionbar"]["totemBar"]["visibility"] = "[combat] show;[@target, noexists] hide; [vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
	end
	E.db["movers"]["VOICECHAT"] = "TOPLEFT,ElvUIParent,TOPLEFT,329,-154"
	if E.Retail then
		E.db["movers"]["VehicleLeaveButton"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-183,-179"
	else
		E.db["movers"]["VehicleLeaveButton"] = "TOPRIGHT,UIParent,TOPRIGHT,-176,-145"
	end
	E.db["movers"]["VehicleSeatMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-210,-150"
	if IsAddOnLoaded("ElvUI_WindTools") then
		E.db["movers"]["WTCustomEmoteFrameMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,272,-448"
		E.db["movers"]["WTExtraItemsBar1Mover"] = "BOTTOM,ElvUIParent,BOTTOM,0,1"
		E.db["movers"]["WTExtraItemsBar2Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,333,-176"
		E.db["movers"]["WTExtraItemsBar3Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,331,-176"
		E.db["movers"]["WTExtraItemsBar4Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,329,-176"
		E.db["movers"]["WTExtraItemsBar5Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,329,-176"
		E.db["movers"]["WTMinimapButtonBarAnchor"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,0,-222"
		E.db["movers"]["WTParagonReputationToastFrameMover"] = "TOP,ElvUIParent,TOP,0,-204"
		E.db["movers"]["WTRaidMarkersBarAnchor"] = "TOPLEFT,ElvUIParent,TOPLEFT,398,1"
		E.db["movers"]["WTSwitchButtonBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,266,390"
	end
	E.db["movers"]["ZoneAbility"] = "BOTTOM,ElvUIParent,BOTTOM,0,34"
	E.db["movers"]["iFilger_CooldownsMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,575,428"
	E.db["movers"]["iFilger_FocusBuffsMover"] = "BOTTOM,ElvUIParent,BOTTOM,-233,401"
	E.db["movers"]["iFilger_FocusDebuffsMover"] = "BOTTOM,ElvUIParent,BOTTOM,-217,461"
	E.db["movers"]["iFilger_ItemCooldownsMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,526,450"

	--dps options
	E.db["unitframe"]["font"] = "Kimberley"
	E.db["unitframe"]["fontOutline"] = "OUTLINE"
	E.db["unitframe"]["smartRaidFilter"] = false
	E.db["unitframe"]["statusbar"] = "ElvUI Norm1"
	E.db["unitframe"]["targetSound"] = true

	--Dps units
	E.db["unitframe"]["units"]["arena"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["arena"]["buffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["arena"]["buffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["arena"]["buffs"]["durationPosition"] = "TOP"
	E.db["unitframe"]["units"]["arena"]["buffs"]["height"] = 25
	E.db["unitframe"]["units"]["arena"]["buffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["arena"]["buffs"]["perrow"] = 6
	E.db["unitframe"]["units"]["arena"]["buffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["arena"]["buffs"]["xOffset"] = -3
	E.db["unitframe"]["units"]["arena"]["buffs"]["yOffset"] = 14
	E.db["unitframe"]["units"]["arena"]["castbar"]["customColor"]["enable"] = true
	E.db["unitframe"]["units"]["arena"]["castbar"]["height"] = 15
	E.db["unitframe"]["units"]["arena"]["castbar"]["overlayOnFrame"] = "InfoPanel"
	E.db["unitframe"]["units"]["arena"]["castbar"]["strataAndLevel"]["frameStrata"] = "HIGH"
	E.db["unitframe"]["units"]["arena"]["castbar"]["timeToHold"] = 0.5
	E.db["unitframe"]["units"]["arena"]["castbar"]["width"] = 250
	E.db["unitframe"]["units"]["arena"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["arena"]["debuffs"]["anchorPoint"] = "BOTTOM"
	E.db["unitframe"]["units"]["arena"]["debuffs"]["attachTo"] = "BUFFS"
	E.db["unitframe"]["units"]["arena"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["arena"]["debuffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["arena"]["debuffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["arena"]["debuffs"]["height"] = 25
	E.db["unitframe"]["units"]["arena"]["debuffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["arena"]["debuffs"]["perrow"] = 6
	E.db["unitframe"]["units"]["arena"]["debuffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["arena"]["debuffs"]["yOffset"] = -4
	E.db["unitframe"]["units"]["arena"]["fader"]["minAlpha"] = 0.8
	E.db["unitframe"]["units"]["arena"]["health"]["text_format"] = ""
	E.db["unitframe"]["units"]["arena"]["health"]["xOffset"] = 0
	E.db["unitframe"]["units"]["arena"]["height"] = 50
	E.db["unitframe"]["units"]["arena"]["infoPanel"]["enable"] = true
	E.db["unitframe"]["units"]["arena"]["infoPanel"]["height"] = 15
	E.db["unitframe"]["units"]["arena"]["infoPanel"]["transparent"] = true
	E.db["unitframe"]["units"]["arena"]["middleClickFocus"] = true
	E.db["unitframe"]["units"]["arena"]["name"]["text_format"] = ""
	E.db["unitframe"]["units"]["arena"]["portrait"]["overlay"] = true
	E.db["unitframe"]["units"]["arena"]["portrait"]["style"] = "Class"
	E.db["unitframe"]["units"]["arena"]["power"]["attachTextTo"] = "Power"
	E.db["unitframe"]["units"]["arena"]["power"]["height"] = 14
	E.db["unitframe"]["units"]["arena"]["power"]["powerPrediction"] = true
	E.db["unitframe"]["units"]["arena"]["power"]["text_format"] = ""
	E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["size"] = 50
	E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["xOffset"] = 0
	E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["yOffset"] = 8
	E.db["unitframe"]["units"]["arena"]["pvpclassificationindicator"]["size"] = 30
	E.db["unitframe"]["units"]["arena"]["spacing"] = 10
	E.db["unitframe"]["units"]["arena"]["width"] = 250
	E.db["unitframe"]["units"]["assist"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["assist"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["assist"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["assist"]["rdebuffs"]["font"] = "Kimberley"
	E.db["unitframe"]["units"]["assist"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"
	E.db["unitframe"]["units"]["boss"]["height"] = 45
	E.db["unitframe"]["units"]["boss"]["spacing"] = 10
	E.db["unitframe"]["units"]["boss"]["smartAuraPosition"] = "FLUID_BUFFS_ON_DEBUFFS"
	E.db["unitframe"]["units"]["boss"]["buffIndicator"]["size"] = 15
	E.db["unitframe"]["units"]["boss"]["buffIndicator"]["size"] = 15
	E.db["unitframe"]["units"]["boss"]["buffs"]["anchorPoint"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["boss"]["buffs"]["attachTo"] = "DEBUFFS"
	E.db["unitframe"]["units"]["boss"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["boss"]["buffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["boss"]["buffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["boss"]["buffs"]["durationPosition"] = "TOP"
	E.db["unitframe"]["units"]["boss"]["buffs"]["growthX"] = "LEFT"
	E.db["unitframe"]["units"]["boss"]["buffs"]["height"] = 25
	E.db["unitframe"]["units"]["boss"]["buffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["boss"]["buffs"]["perrow"] = 7
	E.db["unitframe"]["units"]["boss"]["buffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["boss"]["buffs"]["xOffset"] = -1
	E.db["unitframe"]["units"]["boss"]["buffs"]["yOffset"] = 5
	E.db["unitframe"]["units"]["boss"]["buffs"]["spacing"] = 2
	E.db["unitframe"]["units"]["boss"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["boss"]["debuffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["boss"]["debuffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["boss"]["debuffs"]["durationPosition"] = "TOP"
	E.db["unitframe"]["units"]["boss"]["debuffs"]["growthX"] = "LEFT"
	E.db["unitframe"]["units"]["boss"]["debuffs"]["height"] = 25
	E.db["unitframe"]["units"]["boss"]["debuffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["boss"]["debuffs"]["perrow"] = 7
	E.db["unitframe"]["units"]["boss"]["debuffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["boss"]["debuffs"]["xOffset"] = -3
	E.db["unitframe"]["units"]["boss"]["debuffs"]["yOffset"] = -16
	E.db["unitframe"]["units"]["boss"]["debuffs"]["spacing"] = 2
	E.db["unitframe"]["units"]["boss"]["castbar"]["overlayOnFrame"] = "InfoPanel"
	E.db["unitframe"]["units"]["boss"]["castbar"]["customColor"]["enable"] = true
	E.db["unitframe"]["units"]["boss"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["boss"]["fader"]["enable"] = false
	E.db["unitframe"]["units"]["boss"]["fader"]["minAlpha"] = 0.3
	E.db["unitframe"]["units"]["boss"]["fader"]["playertarget"] = true
	E.db["unitframe"]["units"]["boss"]["fader"]["range"] = false
	E.db["unitframe"]["units"]["boss"]["fader"]["smooth"] = 0.25
	E.db["unitframe"]["units"]["boss"]["health"]["attachTextTo"] = "InfoPanel"
	E.db["unitframe"]["units"]["boss"]["health"]["position"] = "RIGHT"
	E.db["unitframe"]["units"]["boss"]["health"]["text_format"] = "[healthcolor][health:current-percent:shortvalue]"
	E.db["unitframe"]["units"]["boss"]["health"]["xOffset"] = 0
	E.db["unitframe"]["units"]["boss"]["infoPanel"]["enable"] = true
	E.db["unitframe"]["units"]["boss"]["infoPanel"]["height"] = 12
	E.db["unitframe"]["units"]["boss"]["infoPanel"]["transparent"] = true
	E.db["unitframe"]["units"]["boss"]["name"]["attachTextTo"] = "InfoPanel"
	E.db["unitframe"]["units"]["boss"]["name"]["position"] = "LEFT"
	E.db["unitframe"]["units"]["boss"]["name"]["text_format"] = "[namecolor][name]"
	E.db["unitframe"]["units"]["boss"]["portrait"]["enable"] = true
	E.db["unitframe"]["units"]["boss"]["portrait"]["fullOverlay"] = true
	E.db["unitframe"]["units"]["boss"]["portrait"]["overlay"] = true
	E.db["unitframe"]["units"]["boss"]["portrait"]["overlayAlpha"] = 0.2
	E.db["unitframe"]["units"]["boss"]["power"]["attachTextTo"] = "Power"
	E.db["unitframe"]["units"]["boss"]["power"]["height"] = 12
	E.db["unitframe"]["units"]["boss"]["power"]["xOffset"] = 0
	E.db["unitframe"]["units"]["boss"]["power"]["yOffset"] = 1
	E.db["unitframe"]["units"]["boss"]["raidicon"]["attachTo"] = "CENTER"
	E.db["unitframe"]["units"]["boss"]["raidicon"]["size"] = 24
	E.db["unitframe"]["units"]["boss"]["raidicon"]["yOffset"] = 12
	E.db["unitframe"]["units"]["boss"]["threatStyle"] = "BORDERS"
	E.db["unitframe"]["units"]["focus"]["CombatIcon"]["xOffset"] = -87
	E.db["unitframe"]["units"]["focus"]["CombatIcon"]["yOffset"] = 10
	E.db["unitframe"]["units"]["focus"]["buffIndicator"]["size"] = 20
	E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["colorBackdrop"]["a"] = 0
	E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0.50196078431373
	E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0.50196078431373
	E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0.50196078431373
	--E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["enable"] = true
	E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["enable"] = false
	E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["invertColors"] = false
	E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["useClassColor"] = true
	E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["useCustomBackdrop"] = true
	E.db["unitframe"]["units"]["focus"]["castbar"]["height"] = 30
	E.db["unitframe"]["units"]["focus"]["castbar"]["width"] = 333
	E.db["unitframe"]["units"]["focus"]["disableMouseoverGlow"] = true
	E.db["unitframe"]["units"]["focus"]["disableTargetGlow"] = true
	E.db["unitframe"]["units"]["focus"]["castbar"]["strataAndLevel"]["frameStrata"] = "DIALOG"
	E.db["unitframe"]["units"]["focus"]["castbar"]["timeToHold"] = 1
	E.db["unitframe"]["units"]["focus"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["focus"]["debuffs"]["countFontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["focus"]["debuffs"]["anchorPoint"] = "TOP"
	E.db["unitframe"]["units"]["focus"]["debuffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["focus"]["debuffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["focus"]["debuffs"]["durationPosition"] = "TOP"
	E.db["unitframe"]["units"]["focus"]["debuffs"]["height"] = 25
	E.db["unitframe"]["units"]["focus"]["debuffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["focus"]["debuffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["focus"]["height"] = 35
	E.db["unitframe"]["units"]["focus"]["infoPanel"]["enable"] = true
	E.db["unitframe"]["units"]["focus"]["name"]["text_format"] = "[namecolor][name:eltruism:abbreviate] [eltruism:class:player] [eltruism:raidmarker]"
	E.db["unitframe"]["units"]["focus"]["power"]["attachTextTo"] = "Power"
	E.db["unitframe"]["units"]["focus"]["power"]["height"] = 14
	E.db["unitframe"]["units"]["focus"]["power"]["position"] = "RIGHT"
	E.db["unitframe"]["units"]["focus"]["power"]["text_format"] = "[powercolor][power:current:shortvalue]"
	E.db["unitframe"]["units"]["focus"]["power"]["width"] = "spaced"
	E.db["unitframe"]["units"]["focus"]["power"]["xOffset"] = -7
	E.db["unitframe"]["units"]["focustarget"]["power"]["enable"] = false
	E.db["unitframe"]["units"]["focustarget"]["power"]["text_format"] = "[power:current:shortvalue]"
	E.db["unitframe"]["units"]["party"]["buffIndicator"]["size"] = 20
	E.db["unitframe"]["units"]["party"]["buffs"]["anchorPoint"] = "TOP"
	E.db["unitframe"]["units"]["party"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["party"]["buffs"]["countFontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["party"]["buffs"]["enable"] = false
	E.db["unitframe"]["units"]["party"]["buffIndicator"]["size"] = 20
	E.db["unitframe"]["units"]["party"]["buffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["party"]["buffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["party"]["buffs"]["durationPosition"] = "TOP"
	E.db["unitframe"]["units"]["party"]["buffs"]["height"] = 25
	E.db["unitframe"]["units"]["party"]["buffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["party"]["buffs"]["perrow"] = 6
	E.db["unitframe"]["units"]["party"]["buffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0
	E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0
	E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0
	E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["enable"] = true
	E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["transparent"] = false
	E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["useClassColor"] = true
	E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["useCustomBackdrop"] = true
	E.db["unitframe"]["units"]["party"]["castbar"]["customTextFont"]["enable"] = true
	E.db["unitframe"]["units"]["party"]["castbar"]["customTextFont"]["font"] = "Kimberley"
	E.db["unitframe"]["units"]["party"]["castbar"]["enable"] = true
	E.db["unitframe"]["units"]["party"]["castbar"]["height"] = 15
	E.db["unitframe"]["units"]["party"]["castbar"]["overlayOnFrame"] = "InfoPanel"
	E.db["unitframe"]["units"]["party"]["castbar"]["positionsGroup"]["anchorPoint"] = "LEFT"
	E.db["unitframe"]["units"]["party"]["castbar"]["textColor"]["b"] = 1
	E.db["unitframe"]["units"]["party"]["castbar"]["textColor"]["g"] = 1
	E.db["unitframe"]["units"]["party"]["castbar"]["textColor"]["r"] = 1
	E.db["unitframe"]["units"]["party"]["castbar"]["timeToHold"] = 1
	E.db["unitframe"]["units"]["party"]["castbar"]["width"] = 200
	E.db["unitframe"]["units"]["party"]["castbar"]["xOffsetText"] = 2
	E.db["unitframe"]["units"]["party"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["party"]["debuffs"]["countFontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["party"]["debuffs"]["xOffset"] = 5
	E.db["unitframe"]["units"]["party"]["debuffs"]["yOffset"] = 11
	E.db["unitframe"]["units"]["party"]["debuffs"]["anchorPoint"] = "RIGHT"
	E.db["unitframe"]["units"]["party"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["party"]["debuffs"]["countFontSize"] = 10
	E.db["unitframe"]["units"]["party"]["debuffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["party"]["debuffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["party"]["debuffs"]["durationPosition"] = "TOP"
	E.db["unitframe"]["units"]["party"]["debuffs"]["height"] = 25
	E.db["unitframe"]["units"]["party"]["debuffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["party"]["debuffs"]["numrows"] = 2
	E.db["unitframe"]["units"]["party"]["debuffs"]["perrow"] = 4
	E.db["unitframe"]["units"]["party"]["debuffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["party"]["debuffs"]["spacing"] = 2
	E.db["unitframe"]["units"]["party"]["disableMouseoverGlow"] = true
	E.db["unitframe"]["units"]["party"]["fader"]["minAlpha"] = 0.2
	E.db["unitframe"]["units"]["party"]["groupBy"] = "ROLE"
	E.db["unitframe"]["units"]["party"]["healPrediction"]["enable"] = true
	E.db["unitframe"]["units"]["party"]["health"]["position"] = "RIGHT"
	E.db["unitframe"]["units"]["party"]["health"]["text_format"] = ""
	E.db["unitframe"]["units"]["party"]["health"]["xOffset"] = 0
	E.db["unitframe"]["units"]["party"]["height"] = 60
	E.db["unitframe"]["units"]["party"]["infoPanel"]["enable"] = true
	E.db["unitframe"]["units"]["party"]["infoPanel"]["transparent"] = true
	E.db["unitframe"]["units"]["party"]["name"]["attachTextTo"] = "InfoPanel"
	E.db["unitframe"]["units"]["party"]["name"]["position"] = "LEFT"
	E.db["unitframe"]["units"]["party"]["name"]["text_format"] = ""
	E.db["unitframe"]["units"]["party"]["name"]["xOffset"] = 2
	E.db["unitframe"]["units"]["party"]["orientation"] = "MIDDLE"
	E.db["unitframe"]["units"]["party"]["power"]["attachTextTo"] = "Power"
	E.db["unitframe"]["units"]["party"]["power"]["height"] = 14
	E.db["unitframe"]["units"]["party"]["power"]["text_format"] = ""
	E.db["unitframe"]["units"]["party"]["power"]["xOffset"] = 0
	E.db["unitframe"]["units"]["party"]["power"]["yOffset"] = 1
	E.db["unitframe"]["units"]["party"]["portrait"]["desaturation"] = 0.7
	E.db["unitframe"]["units"]["party"]["portrait"]["fullOverlay"] = true
	E.db["unitframe"]["units"]["party"]["portrait"]["overlay"] = true
	E.db["unitframe"]["units"]["party"]["portrait"]["paused"] = true
	E.db["unitframe"]["units"]["party"]["raidRoleIcons"]["yOffset"] = -3
	E.db["unitframe"]["units"]["party"]["raidicon"]["attachTo"] = "CENTER"
	E.db["unitframe"]["units"]["party"]["raidicon"]["attachToObject"] = "Health"
	E.db["unitframe"]["units"]["party"]["raidicon"]["size"] = 20
	E.db["unitframe"]["units"]["party"]["raidicon"]["yOffset"] = 0
	E.db["unitframe"]["units"]["party"]["raidicon"]["enable"] = false
	E.db["unitframe"]["units"]["party"]["rdebuffs"]["enable"] = true
	E.db["unitframe"]["units"]["party"]["rdebuffs"]["font"] = "Kimberley"
	E.db["unitframe"]["units"]["party"]["rdebuffs"]["fontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["party"]["rdebuffs"]["xOffset"] = -75
	E.db["unitframe"]["units"]["party"]["rdebuffs"]["yOffset"] = 38
	E.db["unitframe"]["units"]["party"]["readycheckIcon"]["position"] = "CENTER"
	E.db["unitframe"]["units"]["party"]["readycheckIcon"]["yOffset"] = 0
	E.db["unitframe"]["units"]["party"]["resurrectIcon"]["attachTo"] = "RIGHT"
	E.db["unitframe"]["units"]["party"]["resurrectIcon"]["xOffset"] = 5
	E.db["unitframe"]["units"]["party"]["roleIcon"]["attachTo"] = "Frame"
	E.db["unitframe"]["units"]["party"]["roleIcon"]["position"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["party"]["roleIcon"]["size"] = 12
	E.db["unitframe"]["units"]["party"]["roleIcon"]["xOffset"] = -1
	E.db["unitframe"]["units"]["party"]["roleIcon"]["yOffset"] = -1
	E.db["unitframe"]["units"]["party"]["summonIcon"]["size"] = 40
	E.db["unitframe"]["units"]["party"]["verticalSpacing"] = 20
	E.db["unitframe"]["units"]["party"]["visibility"] = "[@raid6,exists][nogroup] hide;show"
	E.db["unitframe"]["units"]["party"]["width"] = 200
	E.db["unitframe"]["units"]["party"]["petsGroup"]["buffIndicator"]["enable"] = true
	E.db["unitframe"]["units"]["party"]["petsGroup"]["enable"] = false
	E.db["unitframe"]["units"]["party"]["petsGroup"]["healPrediction"]["enable"] = true
	E.db["unitframe"]["units"]["party"]["petsGroup"]["height"] = 75
	E.db["unitframe"]["units"]["party"]["petsGroup"]["name"]["text_format"] = "[name][happiness:discord]"
	E.db["unitframe"]["units"]["party"]["petsGroup"]["width"] = 100
	E.db["unitframe"]["units"]["party"]["petsGroup"]["xOffset"] = 4
	E.db["unitframe"]["units"]["pet"]["health"]["colorPetByUnitClass"] = false
	E.db["unitframe"]["units"]["pet"]["health"]["colorHappiness"] = false
	E.db["unitframe"]["units"]["pet"]["buffIndicator"]["size"] = 15
	E.db["unitframe"]["units"]["pet"]["buffs"]["anchorPoint"] = "TOP"
	E.db["unitframe"]["units"]["pet"]["buffs"]["attachTo"] = "FRAME"
	E.db["unitframe"]["units"]["pet"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["pet"]["buffs"]["enable"] = true
	E.db["unitframe"]["units"]["pet"]["buffs"]["growthX"] = "LEFT"
	E.db["unitframe"]["units"]["pet"]["buffs"]["spacing"] = 1
	E.db["unitframe"]["units"]["pet"]["buffs"]["xOffset"] = 0
	E.db["unitframe"]["units"]["pet"]["buffs"]["yOffset"] = 2
	E.db["unitframe"]["units"]["pet"]["buffs"]["sizeOverride"] = 25
	E.db["unitframe"]["units"]["pet"]["debuffs"]["anchorPoint"] = "TOP"
	E.db["unitframe"]["units"]["pet"]["debuffs"]["attachTo"] = "BUFFS"
	E.db["unitframe"]["units"]["pet"]["debuffs"]["enable"] = true
	E.db["unitframe"]["units"]["pet"]["debuffs"]["height"] = 25
	E.db["unitframe"]["units"]["pet"]["debuffs"]["sizeOverride"] = 25
	E.db["unitframe"]["units"]["pet"]["debuffs"]["yOffset"] = 1
	E.db["unitframe"]["units"]["pet"]["smartAuraPosition"] = "FLUID_DEBUFFS_ON_BUFFS"
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["color"]["b"] = 0
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["color"]["g"] = 0.50588235294118
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["color"]["r"] = 0.86274509803922
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["a"] = 0
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0.50196078431373
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0.50196078431373
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0.50196078431373
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["enable"] = true
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["invertColors"] = false
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["transparent"] = false
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["useClassColor"] = true
	E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["useCustomBackdrop"] = true
	E.db["unitframe"]["units"]["pet"]["castbar"]["height"] = 15
	E.db["unitframe"]["units"]["pet"]["castbar"]["overlayOnFrame"] = "Health"
	E.db["unitframe"]["units"]["pet"]["castbar"]["timeToHold"] = 0.2
	E.db["unitframe"]["units"]["pet"]["disableTargetGlow"] = false
	E.db["unitframe"]["units"]["pet"]["fader"]["casting"] = true
	E.db["unitframe"]["units"]["pet"]["fader"]["combat"] = true
	E.db["unitframe"]["units"]["pet"]["fader"]["health"] = true
	E.db["unitframe"]["units"]["pet"]["fader"]["hover"] = true
	E.db["unitframe"]["units"]["pet"]["fader"]["minAlpha"] = 0
	E.db["unitframe"]["units"]["pet"]["fader"]["playertarget"] = true
	E.db["unitframe"]["units"]["pet"]["fader"]["power"] = true
	E.db["unitframe"]["units"]["pet"]["fader"]["range"] = false
	E.db["unitframe"]["units"]["pet"]["fader"]["unittarget"] = true
	E.db["unitframe"]["units"]["pet"]["fader"]["vehicle"] = true
	E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = ""
	E.db["unitframe"]["units"]["pet"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["pet"]["power"]["enable"] = not E.Retail
	E.db["unitframe"]["units"]["pet"]["power"]["text_format"] = ""
	E.db["unitframe"]["units"]["pet"]["power"]["width"] = "inset"
	E.db["unitframe"]["units"]["pet"]["castbar"]["width"] = 159
	E.db["unitframe"]["units"]["pet"]["width"] = 159
	if width == 1920 then
		E.db["unitframe"]["units"]["pet"]["castbar"]["width"] = 162
		E.db["unitframe"]["units"]["pet"]["width"] = 162
	elseif width == 2560 then
		E.db["unitframe"]["units"]["pet"]["castbar"]["width"] = 157
		E.db["unitframe"]["units"]["pet"]["width"] = 157
	end
	E.db["unitframe"]["units"]["pettarget"]["buffs"]["countFontOutline"] = "NONE"
	E.db["unitframe"]["units"]["pettarget"]["debuffs"]["countFontOutline"] = "NONE"
	E.db["unitframe"]["units"]["pettarget"]["power"]["enable"] = false
	E.db["unitframe"]["units"]["pettarget"]["power"]["text_format"] = "[power:current:shortvalue]"
	E.db["unitframe"]["units"]["player"]["forcehealthreaction"] = false
	E.db["unitframe"]["units"]["player"]["CombatIcon"]["anchorPoint"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["player"]["CombatIcon"]["color"]["a"] = 0.80000001192093
	E.db["unitframe"]["units"]["player"]["CombatIcon"]["color"]["b"] = 1
	E.db["unitframe"]["units"]["player"]["CombatIcon"]["color"]["g"] = 1
	E.db["unitframe"]["units"]["player"]["CombatIcon"]["defaultColor"] = false
	E.db["unitframe"]["units"]["player"]["CombatIcon"]["size"] = 20
	E.db["unitframe"]["units"]["player"]["CombatIcon"]["xOffset"] = -7
	E.db["unitframe"]["units"]["player"]["CombatIcon"]["yOffset"] = -7
	E.db["unitframe"]["units"]["player"]["RestIcon"]["color"]["a"] = 0.57115608453751
	E.db["unitframe"]["units"]["player"]["RestIcon"]["defaultColor"] = false
	E.db["unitframe"]["units"]["player"]["RestIcon"]["size"] = 15
	E.db["unitframe"]["units"]["player"]["RestIcon"]["texture"] = "Resting0"
	E.db["unitframe"]["units"]["player"]["RestIcon"]["xOffset"] = 8
	E.db["unitframe"]["units"]["player"]["RestIcon"]["yOffset"] = -7
	E.db["unitframe"]["units"]["player"]["aurabar"]["attachTo"] = "FRAME"
	E.db["unitframe"]["units"]["player"]["aurabar"]["detachedWidth"] = 266
	E.db["unitframe"]["units"]["player"]["aurabar"]["maxDuration"] = 60
	E.db["unitframe"]["units"]["player"]["aurabar"]["spacing"] = 2
	E.db["unitframe"]["units"]["player"]["aurabar"]["yOffset"] = 1
	E.db["unitframe"]["units"]["player"]["aurabar"]["sortDirection"] = "ASCENDING"
	E.db["unitframe"]["units"]["player"]["buffs"]["yOffset"] = 22
	E.db["unitframe"]["units"]["player"]["buffs"]["attachTo"] = "FRAME"
	E.db["unitframe"]["units"]["player"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["player"]["buffs"]["countFontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["player"]["buffs"]["height"] = 25
	E.db["unitframe"]["units"]["player"]["buffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["player"]["buffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0
	E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0
	E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0
	E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["enable"] = false
	E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["invertColors"] = false
	E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["transparent"] = true
	E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["useClassColor"] = true
	E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["useCustomBackdrop"] = true
	E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["font"] = "Kimberley"
	E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["fontSize"] = 11
	E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["fontStyle"] = "OUTLINE"
	E.db["unitframe"]["units"]["player"]["castbar"]["height"] = 30
	E.db["unitframe"]["units"]["player"]["castbar"]["iconAttached"] = false
	E.db["unitframe"]["units"]["player"]["castbar"]["iconAttachedTo"] = "Castbar"
	E.db["unitframe"]["units"]["player"]["castbar"]["iconSize"] = 29
	E.db["unitframe"]["units"]["player"]["castbar"]["iconXOffset"] = 0
	E.db["unitframe"]["units"]["player"]["castbar"]["width"] = 243
	E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["b"] = 1
	E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["g"] = 1
	E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["r"] = 1
	E.db["unitframe"]["units"]["player"]["castbar"]["tickColor"]["a"] = 0.80000001192093
	E.db["unitframe"]["units"]["player"]["castbar"]["timeToHold"] = 0.6
	E.db["unitframe"]["units"]["player"]["classbar"]["detachedWidth"] = 136
	E.db["unitframe"]["units"]["player"]["classbar"]["fill"] = "spaced"
	E.db["unitframe"]["units"]["player"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["player"]["debuffs"]["anchorPoint"] = "BOTTOM"
	E.db["unitframe"]["units"]["player"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["player"]["debuffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["player"]["debuffs"]["countYOffset"] = -4
	E.db["unitframe"]["units"]["player"]["debuffs"]["height"] = 25
	E.db["unitframe"]["units"]["player"]["debuffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["player"]["debuffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["player"]["debuffs"]["yOffset"] = -32
	E.db["unitframe"]["units"]["player"]["debuffs"]["xOffset"] = -15
	E.db["unitframe"]["units"]["player"]["debuffs"]["numrows"] = 4
	E.db["unitframe"]["units"]["player"]["debuffs"]["perrow"] = 4
	E.db["unitframe"]["units"]["player"]["debuffs"]["spacing"] = 2
	E.db["unitframe"]["units"]["player"]["disableMouseoverGlow"] = true
	E.db["unitframe"]["units"]["player"]["fader"]["enable"] = true
	E.db["unitframe"]["units"]["player"]["fader"]["minAlpha"] = 0
	E.db["unitframe"]["units"]["player"]["fader"]["smooth"] = 0.25
	E.db["unitframe"]["units"]["player"]["healPrediction"]["absorbStyle"] = "REVERSED"
	E.db["unitframe"]["units"]["player"]["healPrediction"]["anchorPoint"] = "CENTER"
	E.db["unitframe"]["units"]["player"]["health"]["position"] = "RIGHT"
	E.db["unitframe"]["units"]["player"]["health"]["text_format"] = ""
	E.db["unitframe"]["units"]["player"]["health"]["xOffset"] = 0
	E.db["unitframe"]["units"]["player"]["name"]["text_format"] = ""
	E.db["unitframe"]["units"]["player"]["name"]["position"] = "LEFT"
	E.db["unitframe"]["units"]["player"]["name"]["xOffset"] = 2
	E.db["unitframe"]["units"]["player"]["partyIndicator"]["anchorPoint"] = "TOPLEFT"
	E.db["unitframe"]["units"]["player"]["partyIndicator"]["xOffset"] = 0
	E.db["unitframe"]["units"]["player"]["partyIndicator"]["yOffset"] = 5
	E.db["unitframe"]["units"]["player"]["portrait"]["camDistanceScale"] = 4.2
	E.db["unitframe"]["units"]["player"]["portrait"]["enable"] = true
	E.db["unitframe"]["units"]["player"]["portrait"]["fullOverlay"] = true
	E.db["unitframe"]["units"]["player"]["portrait"]["style"] = "3D"
	E.db["unitframe"]["units"]["player"]["portrait"]["overlay"] = true
	E.db["unitframe"]["units"]["player"]["portrait"]["overlayAlpha"] = 0.3
	E.db["unitframe"]["units"]["player"]["power"]["attachTextTo"] = "Power"
	E.db["unitframe"]["units"]["player"]["power"]["height"] = 15
	E.db["unitframe"]["units"]["player"]["power"]["powerPrediction"] = true
	E.db["unitframe"]["units"]["player"]["power"]["strataAndLevel"]["useCustomLevel"] = false
	E.db["unitframe"]["units"]["player"]["power"]["strataAndLevel"]["useCustomStrata"] = false
	E.db["unitframe"]["units"]["player"]["power"]["text_format"] = ""
	E.db["unitframe"]["units"]["player"]["power"]["width"] = "spaced"
	E.db["unitframe"]["units"]["player"]["power"]["xOffset"] = 0
	E.db["unitframe"]["units"]["player"]["power"]["EnergyManaRegen"] = true --tbc/classic only
	E.db["unitframe"]["units"]["player"]["pvp"]["position"] = "CENTER"
	E.db["unitframe"]["units"]["player"]["pvp"]["text_format"] = ""
	E.db["unitframe"]["units"]["player"]["raidRoleIcons"]["xOffset"] = -1
	E.db["unitframe"]["units"]["player"]["raidRoleIcons"]["yOffset"] = -2
	E.db["unitframe"]["units"]["player"]["raidicon"]["attachTo"] = "RIGHT"
	E.db["unitframe"]["units"]["player"]["raidicon"]["attachToObject"] = "Health"
	E.db["unitframe"]["units"]["player"]["raidicon"]["size"] = 20
	E.db["unitframe"]["units"]["player"]["raidicon"]["xOffset"] = 30
	E.db["unitframe"]["units"]["player"]["raidicon"]["yOffset"] = 2
	E.db["unitframe"]["units"]["player"]["raidicon"]["enable"] = false
	E.db["unitframe"]["units"]["raid1"]["buffIndicator"]["size"] = 20
	E.db["unitframe"]["units"]["raid1"]["buffs"]["anchorPoint"] = "BOTTOMRIGHT"
	E.db["unitframe"]["units"]["raid1"]["buffs"]["attachTo"] = "DEBUFFS"
	E.db["unitframe"]["units"]["raid1"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["raid1"]["buffs"]["countFontSize"] = 8
	E.db["unitframe"]["units"]["raid1"]["buffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["raid1"]["buffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["raid1"]["buffs"]["durationPosition"] = "TOP"
	E.db["unitframe"]["units"]["raid1"]["buffs"]["height"] = 15
	E.db["unitframe"]["units"]["raid1"]["buffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["raid1"]["buffs"]["sizeOverride"] = 20
	E.db["unitframe"]["units"]["raid1"]["buffs"]["yOffset"] = -5
	E.db["unitframe"]["units"]["raid1"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["anchorPoint"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["countFontSize"] = 8
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["growthY"] = "DOWN"
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["height"] = 15
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["sizeOverride"] = 20
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["xOffset"] = 25
	E.db["unitframe"]["units"]["raid1"]["debuffs"]["yOffset"] = -16
	E.db["unitframe"]["units"]["raid1"]["disableMouseoverGlow"] = true
	E.db["unitframe"]["units"]["raid1"]["fader"]["minAlpha"] = 0.5
	E.db["unitframe"]["units"]["raid1"]["groupBy"] = "ROLE"
	E.db["unitframe"]["units"]["raid1"]["groupsPerRowCol"] = 4
	E.db["unitframe"]["units"]["raid1"]["health"]["attachTextTo"] = "InfoPanel"
	E.db["unitframe"]["units"]["raid1"]["health"]["position"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["raid1"]["health"]["text_format"] = ""
	E.db["unitframe"]["units"]["raid1"]["health"]["xOffset"] = 0
	E.db["unitframe"]["units"]["raid1"]["health"]["yOffset"] = 0
	E.db["unitframe"]["units"]["raid1"]["height"] = 28
	E.db["unitframe"]["units"]["raid1"]["width"] = 120
	E.db["unitframe"]["units"]["raid1"]["groupSpacing"] = 6
	E.db["unitframe"]["units"]["raid1"]["horizontalSpacing"] = 0
	E.db["unitframe"]["units"]["raid1"]["infoPanel"]["enable"] = true
	E.db["unitframe"]["units"]["raid1"]["infoPanel"]["transparent"] = true
	E.db["unitframe"]["units"]["raid1"]["name"]["attachTextTo"] = "InfoPanel"
	E.db["unitframe"]["units"]["raid1"]["name"]["position"] = "LEFT"
	E.db["unitframe"]["units"]["raid1"]["name"]["text_format"] = ""
	E.db["unitframe"]["units"]["raid1"]["name"]["xOffset"] = 2
	E.db["unitframe"]["units"]["raid1"]["numGroups"] = 4
	E.db["unitframe"]["units"]["raid1"]["power"]["enable"] = false
	E.db["unitframe"]["units"]["raid1"]["power"]["text_format"] = ""
	E.db["unitframe"]["units"]["raid1"]["raidRoleIcons"]["yOffset"] = -3
	E.db["unitframe"]["units"]["raid1"]["raidicon"]["attachTo"] = "CENTER"
	E.db["unitframe"]["units"]["raid1"]["raidicon"]["attachToObject"] = "Health"
	E.db["unitframe"]["units"]["raid1"]["raidicon"]["size"] = 12
	E.db["unitframe"]["units"]["raid1"]["raidicon"]["yOffset"] = -5
	E.db["unitframe"]["units"]["raid1"]["rdebuffs"]["font"] = "Kimberley"
	E.db["unitframe"]["units"]["raid1"]["rdebuffs"]["fontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["raid1"]["rdebuffs"]["size"] = 25
	E.db["unitframe"]["units"]["raid1"]["rdebuffs"]["stack"]["xOffset"] = 2
	E.db["unitframe"]["units"]["raid1"]["rdebuffs"]["stack"]["yOffset"] = -3
	E.db["unitframe"]["units"]["raid1"]["rdebuffs"]["xOffset"] = 0
	E.db["unitframe"]["units"]["raid1"]["rdebuffs"]["yOffset"] = 14
	E.db["unitframe"]["units"]["raid1"]["rdebuffs"]["duration"]["yOffset"] = 3
	E.db["unitframe"]["units"]["raid1"]["readycheckIcon"]["position"] = "CENTER"
	E.db["unitframe"]["units"]["raid1"]["readycheckIcon"]["yOffset"] = 0
	E.db["unitframe"]["units"]["raid1"]["resurrectIcon"]["yOffset"] = 2
	E.db["unitframe"]["units"]["raid1"]["roleIcon"]["position"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["raid1"]["roleIcon"]["size"] = 12
	E.db["unitframe"]["units"]["raid1"]["roleIcon"]["xOffset"] = -1
	E.db["unitframe"]["units"]["raid1"]["roleIcon"]["yOffset"] = -1
	E.db["unitframe"]["units"]["raid1"]["summonIcon"]["attachToObject"] = "Health"
	E.db["unitframe"]["units"]["raid1"]["summonIcon"]["yOffset"] = -5
	E.db["unitframe"]["units"]["raid1"]["verticalSpacing"] = 3
	E.db["unitframe"]["units"]["raid1"]["portrait"]["desaturation"] = 0.7
	E.db["unitframe"]["units"]["raid1"]["portrait"]["fullOverlay"] = true
	E.db["unitframe"]["units"]["raid1"]["portrait"]["paused"] = true
	E.db["unitframe"]["units"]["raid1"]["portrait"]["overlayAlpha"] = 0.6
	E.db["unitframe"]["units"]["raid1"]["visibility"] = "[@raid6,noexists][@raid21,exists] hide;show"
	E.db["unitframe"]["units"]["raid1"]["power"]["enable"] = false
	if not E.Retail then
		E.db["unitframe"]["units"]["raid1"]["visibility"] = "[@raid6,noexists][@raid11,exists] hide;show"
	end
	E.db["unitframe"]["units"]["raidpet"]["enable"] = false
	E.db["unitframe"]["units"]["raidpet"]["horizontalSpacing"] = 0
	E.db["unitframe"]["units"]["raidpet"]["numGroups"] = 3
	E.db["unitframe"]["units"]["raidpet"]["rdebuffs"]["duration"]["position"] = "TOP"
	E.db["unitframe"]["units"]["raidpet"]["rdebuffs"]["font"] = "Kimberley"
	E.db["unitframe"]["units"]["raidpet"]["rdebuffs"]["fontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["raidpet"]["rdebuffs"]["stack"]["xOffset"] = 2
	E.db["unitframe"]["units"]["raidpet"]["rdebuffs"]["stack"]["yOffset"] = -3
	E.db["unitframe"]["units"]["raidpet"]["rdebuffs"]["yOffset"] = 3
	E.db["unitframe"]["units"]["raidpet"]["verticalSpacing"] = 0
	E.db["unitframe"]["units"]["raidpet"]["visibility"] = "[@raid6,exists] show; hide"

	E.db["unitframe"]["units"]["raid2"]["buffIndicator"]["size"] = 20
	E.db["unitframe"]["units"]["raid2"]["buffs"]["anchorPoint"] = "BOTTOMRIGHT"
	E.db["unitframe"]["units"]["raid2"]["buffs"]["attachTo"] = "DEBUFFS"
	E.db["unitframe"]["units"]["raid2"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["raid2"]["buffs"]["countFontSize"] = 8
	E.db["unitframe"]["units"]["raid2"]["buffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["raid2"]["buffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["raid2"]["buffs"]["durationPosition"] = "TOP"
	E.db["unitframe"]["units"]["raid2"]["buffs"]["height"] = 15
	E.db["unitframe"]["units"]["raid2"]["buffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["raid2"]["buffs"]["sizeOverride"] = 20
	E.db["unitframe"]["units"]["raid2"]["buffs"]["yOffset"] = -5
	E.db["unitframe"]["units"]["raid2"]["classbar"]["enable"] = false
	E.db["unitframe"]["units"]["raid2"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["anchorPoint"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["countFontSize"] = 8
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["growthY"] = "DOWN"
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["height"] = 15
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["sizeOverride"] = 20
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["xOffset"] = 25
	E.db["unitframe"]["units"]["raid2"]["debuffs"]["yOffset"] = -16
	E.db["unitframe"]["units"]["raid2"]["disableMouseoverGlow"] = true
	E.db["unitframe"]["units"]["raid2"]["groupBy"] = "ROLE"
	E.db["unitframe"]["units"]["raid2"]["groupSpacing"] = 6
	E.db["unitframe"]["units"]["raid2"]["groupsPerRowCol"] = 4
	E.db["unitframe"]["units"]["raid2"]["growthDirection"] = "DOWN_RIGHT"
	E.db["unitframe"]["units"]["raid2"]["health"]["attachTextTo"] = "InfoPanel"
	E.db["unitframe"]["units"]["raid2"]["health"]["position"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["raid2"]["health"]["text_format"] = ""
	E.db["unitframe"]["units"]["raid2"]["health"]["xOffset"] = 0
	E.db["unitframe"]["units"]["raid2"]["health"]["yOffset"] = 0
	E.db["unitframe"]["units"]["raid2"]["height"] = 28
	E.db["unitframe"]["units"]["raid2"]["horizontalSpacing"] = 0
	E.db["unitframe"]["units"]["raid2"]["infoPanel"]["enable"] = true
	E.db["unitframe"]["units"]["raid2"]["infoPanel"]["transparent"] = true
	E.db["unitframe"]["units"]["raid2"]["name"]["attachTextTo"] = "InfoPanel"
	E.db["unitframe"]["units"]["raid2"]["name"]["position"] = "LEFT"
	E.db["unitframe"]["units"]["raid2"]["name"]["text_format"] = ""
	E.db["unitframe"]["units"]["raid2"]["name"]["xOffset"] = 2
	E.db["unitframe"]["units"]["raid2"]["portrait"]["desaturation"] = 0.7
	E.db["unitframe"]["units"]["raid2"]["portrait"]["fullOverlay"] = true
	E.db["unitframe"]["units"]["raid2"]["portrait"]["overlayAlpha"] = 0.6
	E.db["unitframe"]["units"]["raid2"]["portrait"]["paused"] = true
	E.db["unitframe"]["units"]["raid2"]["raidRoleIcons"]["yOffset"] = -3
	E.db["unitframe"]["units"]["raid2"]["raidicon"]["attachTo"] = "CENTER"
	E.db["unitframe"]["units"]["raid2"]["raidicon"]["attachToObject"] = "Health"
	E.db["unitframe"]["units"]["raid2"]["raidicon"]["size"] = 12
	E.db["unitframe"]["units"]["raid2"]["raidicon"]["yOffset"] = -5
	E.db["unitframe"]["units"]["raid2"]["rdebuffs"]["duration"]["yOffset"] = 3
	E.db["unitframe"]["units"]["raid2"]["rdebuffs"]["enable"] = true
	E.db["unitframe"]["units"]["raid2"]["rdebuffs"]["font"] = "Kimberley"
	E.db["unitframe"]["units"]["raid2"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"
	E.db["unitframe"]["units"]["raid2"]["rdebuffs"]["size"] = 25
	E.db["unitframe"]["units"]["raid2"]["rdebuffs"]["stack"]["xOffset"] = 2
	E.db["unitframe"]["units"]["raid2"]["rdebuffs"]["stack"]["yOffset"] = -3
	E.db["unitframe"]["units"]["raid2"]["rdebuffs"]["yOffset"] = 14
	E.db["unitframe"]["units"]["raid2"]["readycheckIcon"]["position"] = "CENTER"
	E.db["unitframe"]["units"]["raid2"]["readycheckIcon"]["yOffset"] = 0
	E.db["unitframe"]["units"]["raid2"]["resurrectIcon"]["yOffset"] = 2
	E.db["unitframe"]["units"]["raid2"]["roleIcon"]["enable"] = true
	E.db["unitframe"]["units"]["raid2"]["roleIcon"]["position"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["raid2"]["roleIcon"]["size"] = 12
	E.db["unitframe"]["units"]["raid2"]["roleIcon"]["yOffset"] = -1
	E.db["unitframe"]["units"]["raid2"]["summonIcon"]["attachToObject"] = "Health"
	E.db["unitframe"]["units"]["raid2"]["summonIcon"]["yOffset"] = -5
	E.db["unitframe"]["units"]["raid2"]["visibility"] = "[@raid21,noexists][@raid31,exists] hide;show"
	E.db["unitframe"]["units"]["raid2"]["numGroups"] = 6
	if not E.Retail then
		E.db["unitframe"]["units"]["raid2"]["numGroups"] = 5
		E.db["unitframe"]["units"]["raid2"]["visibility"] = "[@raid11,noexists][@raid26,exists] hide;show"
	end
	E.db["unitframe"]["units"]["raid2"]["width"] = 120
	E.db["unitframe"]["units"]["raid2"]["power"]["enable"] = false

	E.db["unitframe"]["units"]["raid3"]["height"] = 28
	E.db["unitframe"]["units"]["raid3"]["width"] = 120
	E.db["unitframe"]["units"]["raid3"]["groupSpacing"] = 6
	E.db["unitframe"]["units"]["raid3"]["buffIndicator"]["size"] = 10
	E.db["unitframe"]["units"]["raid3"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["raid3"]["disableMouseoverGlow"] = true
	E.db["unitframe"]["units"]["raid3"]["fader"]["minAlpha"] = 0.5
	E.db["unitframe"]["units"]["raid3"]["groupsPerRowCol"] = 4
	E.db["unitframe"]["units"]["raid3"]["health"]["position"] = "BOTTOMRIGHT"
	E.db["unitframe"]["units"]["raid3"]["health"]["text_format"] = ""
	E.db["unitframe"]["units"]["raid3"]["health"]["xOffset"] = 0
	E.db["unitframe"]["units"]["raid3"]["horizontalSpacing"] = 2
	E.db["unitframe"]["units"]["raid3"]["infoPanel"]["enable"] = true
	E.db["unitframe"]["units"]["raid3"]["infoPanel"]["transparent"] = true
	E.db["unitframe"]["units"]["raid3"]["name"]["attachTextTo"] = "InfoPanel"
	E.db["unitframe"]["units"]["raid3"]["name"]["position"] = "LEFT"
	E.db["unitframe"]["units"]["raid3"]["name"]["text_format"] = ""
	E.db["unitframe"]["units"]["raid3"]["name"]["xOffset"] = 2
	E.db["unitframe"]["units"]["raid3"]["power"]["text_format"] = "[power:current:shortvalue]"
	E.db["unitframe"]["units"]["raid3"]["raidRoleIcons"]["yOffset"] = -3
	E.db["unitframe"]["units"]["raid3"]["raidicon"]["attachTo"] = "CENTER"
	E.db["unitframe"]["units"]["raid3"]["raidicon"]["attachToObject"] = "Health"
	E.db["unitframe"]["units"]["raid3"]["raidicon"]["size"] = 12
	E.db["unitframe"]["units"]["raid3"]["raidicon"]["yOffset"] = -5
	E.db["unitframe"]["units"]["raid3"]["rdebuffs"]["duration"]["position"] = "TOP"
	E.db["unitframe"]["units"]["raid3"]["rdebuffs"]["duration"]["yOffset"] = 3
	E.db["unitframe"]["units"]["raid3"]["rdebuffs"]["enable"] = true
	E.db["unitframe"]["units"]["raid3"]["rdebuffs"]["font"] = "Kimberley"
	E.db["unitframe"]["units"]["raid3"]["rdebuffs"]["fontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["raid3"]["rdebuffs"]["size"] = 20
	E.db["unitframe"]["units"]["raid3"]["rdebuffs"]["stack"]["xOffset"] = 3
	E.db["unitframe"]["units"]["raid3"]["rdebuffs"]["stack"]["yOffset"] = -3
	E.db["unitframe"]["units"]["raid3"]["rdebuffs"]["yOffset"] = 16
	E.db["unitframe"]["units"]["raid3"]["portrait"]["desaturation"] = 0.7
	E.db["unitframe"]["units"]["raid3"]["portrait"]["fullOverlay"] = true
	E.db["unitframe"]["units"]["raid3"]["portrait"]["overlayAlpha"] = 0.6
	E.db["unitframe"]["units"]["raid3"]["portrait"]["paused"] = true
	E.db["unitframe"]["units"]["raid3"]["roleIcon"]["attachTo"] = "Frame"
	E.db["unitframe"]["units"]["raid3"]["roleIcon"]["enable"] = true
	E.db["unitframe"]["units"]["raid3"]["roleIcon"]["position"] = "TOPRIGHT"
	E.db["unitframe"]["units"]["raid3"]["roleIcon"]["size"] = 12
	E.db["unitframe"]["units"]["raid3"]["roleIcon"]["xOffset"] = -1
	E.db["unitframe"]["units"]["raid3"]["roleIcon"]["yOffset"] = -1
	E.db["unitframe"]["units"]["raid3"]["verticalSpacing"] = 3
	E.db["unitframe"]["units"]["raid3"]["visibility"] = "[@raid31,noexists] hide;show"
	if not E.Retail then
		E.db["unitframe"]["units"]["raid3"]["visibility"] = "[@raid26,noexists] hide;show"
	end
	E.db["unitframe"]["units"]["raid3"]["power"]["enable"] = false

	E.db["unitframe"]["units"]["tank"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["tank"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["tank"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["tank"]["debuffs"]["enable"] = true
	E.db["unitframe"]["units"]["tank"]["debuffs"]["sizeOverride"] = 20
	E.db["unitframe"]["units"]["tank"]["fader"]["minAlpha"] = 0.5
	E.db["unitframe"]["units"]["tank"]["height"] = 30
	E.db["unitframe"]["units"]["tank"]["name"]["text_format"] = "[namecolor][name:long:status]"
	E.db["unitframe"]["units"]["tank"]["rdebuffs"]["font"] = "Kimberley"
	E.db["unitframe"]["units"]["tank"]["rdebuffs"]["fontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["tank"]["rdebuffs"]["fontSize"] = 14
	E.db["unitframe"]["units"]["tank"]["rdebuffs"]["size"] = 20
	E.db["unitframe"]["units"]["tank"]["rdebuffs"]["duration"]["yOffset"] = 3
	E.db["unitframe"]["units"]["tank"]["rdebuffs"]["stack"]["xOffset"] = -3
	E.db["unitframe"]["units"]["tank"]["targetsGroup"]["enable"] = false
	E.db["unitframe"]["units"]["tank"]["targetsGroup"]["height"] = 30
	E.db["unitframe"]["units"]["tank"]["targetsGroup"]["name"]["text_format"] = "[namecolor][name:abbrev]"
	E.db["unitframe"]["units"]["tank"]["targetsGroup"]["raidicon"]["attachTo"] = "RIGHT"
	E.db["unitframe"]["units"]["tank"]["targetsGroup"]["raidicon"]["size"] = 8
	E.db["unitframe"]["units"]["tank"]["targetsGroup"]["raidicon"]["yOffset"] = 0
	E.db["unitframe"]["units"]["tank"]["targetsGroup"]["xOffset"] = 2
	E.db["unitframe"]["units"]["tank"]["verticalSpacing"] = 7
	E.db["unitframe"]["units"]["target"]["orientation"] = "RIGHT"
	E.db["unitframe"]["units"]["target"]["CombatIcon"]["anchorPoint"] = "TOPLEFT"
	E.db["unitframe"]["units"]["target"]["CombatIcon"]["color"]["b"] = 1
	E.db["unitframe"]["units"]["target"]["CombatIcon"]["color"]["g"] = 1
	E.db["unitframe"]["units"]["target"]["CombatIcon"]["defaultColor"] = false
	E.db["unitframe"]["units"]["target"]["CombatIcon"]["xOffset"] = 8
	E.db["unitframe"]["units"]["target"]["CombatIcon"]["yOffset"] = -7
	E.db["unitframe"]["units"]["target"]["aurabar"]["attachTo"] = "FRAME"
	E.db["unitframe"]["units"]["target"]["aurabar"]["maxBars"] = 15
	E.db["unitframe"]["units"]["target"]["aurabar"]["yOffset"] = 1
	E.db["unitframe"]["units"]["target"]["aurabar"]["spacing"] = 1
	E.db["unitframe"]["units"]["target"]["aurabar"]["sortDirection"] = "ASCENDING"
	E.db["unitframe"]["units"]["target"]["buffs"]["countXOffset"] = 2
	E.db["unitframe"]["units"]["target"]["buffs"]["countYOffset"] = -3
	E.db["unitframe"]["units"]["target"]["buffs"]["durationPosition"] = "TOP"
	E.db["unitframe"]["units"]["target"]["buffs"]["maxDuration"] = 1200
	E.db["unitframe"]["units"]["target"]["buffs"]["numrows"] = 4
	E.db["unitframe"]["units"]["target"]["buffs"]["perrow"] = 4
	E.db["unitframe"]["units"]["target"]["buffs"]["spacing"] = 2
	E.db["unitframe"]["units"]["target"]["buffs"]["anchorPoint"] = "BOTTOM"
	E.db["unitframe"]["units"]["target"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["target"]["buffs"]["growthX"] = "RIGHT"
	E.db["unitframe"]["units"]["target"]["buffs"]["height"] = 25
	E.db["unitframe"]["units"]["target"]["buffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["target"]["buffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["target"]["buffs"]["sortDirection"] = "ASCENDING"
	E.db["unitframe"]["units"]["target"]["buffs"]["xOffset"] = 15
	E.db["unitframe"]["units"]["target"]["buffs"]["yOffset"] = -32
	E.db["unitframe"]["units"]["target"]["buffs"]["enable"] = true
	E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0
	E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0
	E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0
	E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["enable"] = false
	E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["invertColors"] = false
	E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["transparent"] = true
	E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["useClassColor"] = true
	E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["useCustomBackdrop"] = true
	E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["fontSize"] = 11
	E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["fontStyle"] = "NONE"
	E.db["unitframe"]["units"]["target"]["castbar"]["height"] = 30
	E.db["unitframe"]["units"]["target"]["castbar"]["iconAttachedTo"] = "Castbar"
	E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["b"] = 1
	E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["g"] = 1
	E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["r"] = 1
	E.db["unitframe"]["units"]["target"]["castbar"]["iconAttached"] = false
	E.db["unitframe"]["units"]["target"]["castbar"]["iconSize"] = 29
	E.db["unitframe"]["units"]["target"]["castbar"]["iconXOffset"] = 0
	E.db["unitframe"]["units"]["target"]["castbar"]["width"] = 243
	E.db["unitframe"]["units"]["target"]["castbar"]["timeToHold"] = 1
	E.db["unitframe"]["units"]["target"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["target"]["debuffs"]["countFontOutline"] = "OUTLINE"
	E.db["unitframe"]["units"]["target"]["debuffs"]["height"] = 25
	E.db["unitframe"]["units"]["target"]["debuffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["target"]["debuffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["target"]["debuffs"]["anchorPoint"] = "TOPLEFT"
	E.db["unitframe"]["units"]["target"]["debuffs"]["growthX"] = "RIGHT"
	E.db["unitframe"]["units"]["target"]["debuffs"]["enable"] = false
	E.db["unitframe"]["units"]["target"]["debuffs"]["spacing"] = 2
	E.db["unitframe"]["units"]["target"]["disableMouseoverGlow"] = true
	E.db["unitframe"]["units"]["target"]["fader"]["minAlpha"] = 0.25
	E.db["unitframe"]["units"]["target"]["fader"]["smooth"] = 0.25
	E.db["unitframe"]["units"]["target"]["healPrediction"]["absorbStyle"] = "REVERSED"
	E.db["unitframe"]["units"]["target"]["healPrediction"]["anchorPoint"] = "CENTER"
	E.db["unitframe"]["units"]["target"]["health"]["text_format"] = ""
	E.db["unitframe"]["units"]["target"]["health"]["xOffset"] = 0
	E.db["unitframe"]["units"]["target"]["infoPanel"]["height"] = 2
	E.db["unitframe"]["units"]["target"]["name"]["position"] = "LEFT"
	E.db["unitframe"]["units"]["target"]["name"]["text_format"] = ""
	E.db["unitframe"]["units"]["target"]["name"]["xOffset"] = 2
	E.db["unitframe"]["units"]["target"]["portrait"]["camDistanceScale"] = 4.2
	E.db["unitframe"]["units"]["target"]["portrait"]["enable"] = true
	E.db["unitframe"]["units"]["target"]["portrait"]["fullOverlay"] = true
	E.db["unitframe"]["units"]["target"]["portrait"]["overlay"] = true
	E.db["unitframe"]["units"]["target"]["portrait"]["style"] = "3D"
	E.db["unitframe"]["units"]["target"]["portrait"]["overlayAlpha"] = 0.3
	E.db["unitframe"]["units"]["target"]["portrait"]["rotation"] = 291
	E.db["unitframe"]["units"]["target"]["portrait"]["xOffset"] = 0.1
	E.db["unitframe"]["units"]["target"]["power"]["attachTextTo"] = "Power"
	E.db["unitframe"]["units"]["target"]["power"]["height"] = 15
	E.db["unitframe"]["units"]["target"]["power"]["position"] = "BOTTOMRIGHT"
	E.db["unitframe"]["units"]["target"]["power"]["powerPrediction"] = true
	E.db["unitframe"]["units"]["target"]["power"]["text_format"] = ""
	E.db["unitframe"]["units"]["target"]["power"]["width"] = "spaced"
	E.db["unitframe"]["units"]["target"]["power"]["xOffset"] = 0
	E.db["unitframe"]["units"]["target"]["power"]["yOffset"] = 1
	E.db["unitframe"]["units"]["target"]["raidRoleIcons"]["yOffset"] = -2
	E.db["unitframe"]["units"]["target"]["raidicon"]["attachTo"] = "LEFT"
	E.db["unitframe"]["units"]["target"]["raidicon"]["attachToObject"] = "Health"
	E.db["unitframe"]["units"]["target"]["raidicon"]["size"] = 20
	E.db["unitframe"]["units"]["target"]["raidicon"]["xOffset"] = -25
	E.db["unitframe"]["units"]["target"]["raidicon"]["yOffset"] = 0
	E.db["unitframe"]["units"]["target"]["raidicon"]["enable"] = false
	E.db["unitframe"]["units"]["target"]["smartAuraPosition"] = "DEBUFFS_ON_BUFFS"
	E.db["unitframe"]["units"]["target"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["targettarget"]["colorOverride"] = "FORCE_OFF"
	E.db["unitframe"]["units"]["targettarget"]["buffs"]["height"] = 25
	E.db["unitframe"]["units"]["targettarget"]["buffs"]["keepSizeRatio"] = false
	E.db["unitframe"]["units"]["targettarget"]["buffs"]["perrow"] = 6
	E.db["unitframe"]["units"]["targettarget"]["buffs"]["sizeOverride"] = 30
	E.db["unitframe"]["units"]["targettarget"]["debuffs"]["enable"] = false
	E.db["unitframe"]["units"]["targettarget"]["health"]["position"] = "LEFT"
	E.db["unitframe"]["units"]["targettarget"]["health"]["xOffset"] = 2
	E.db["unitframe"]["units"]["targettarget"]["health"]["yOffset"] = 3
	E.db["unitframe"]["units"]["targettarget"]["height"] = 54
	E.db["unitframe"]["units"]["targettarget"]["infoPanel"]["transparent"] = true
	E.db["unitframe"]["units"]["targettarget"]["name"]["position"] = "TOPLEFT"
	E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = ""
	E.db["unitframe"]["units"]["targettarget"]["portrait"]["paused"] = true
	E.db["unitframe"]["units"]["targettarget"]["power"]["attachTextTo"] = "Power"
	E.db["unitframe"]["units"]["targettarget"]["power"]["height"] = 15
	E.db["unitframe"]["units"]["targettarget"]["power"]["position"] = "RIGHT"
	E.db["unitframe"]["units"]["targettarget"]["power"]["width"] = "spaced"
	E.db["unitframe"]["units"]["targettarget"]["power"]["xOffset"] = -2
	E.db["unitframe"]["units"]["targettarget"]["power"]["yOffset"] = 1
	E.db["unitframe"]["units"]["targettarget"]["power"]["text_format"] = ""
	E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachTo"] = "CENTER"
	E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachToObject"] = "Health"
	E.db["unitframe"]["units"]["targettarget"]["raidicon"]["size"] = 20
	E.db["unitframe"]["units"]["targettarget"]["raidicon"]["yOffset"] = 25
	E.db["unitframe"]["units"]["targettarget"]["width"] = 100
	E.db["unitframe"]["units"]["targettargettarget"]["buffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["targettargettarget"]["debuffs"]["countFont"] = "Kimberley"
	E.db["unitframe"]["units"]["targettargettarget"]["power"]["enable"] = false
	E.db["unitframe"]["units"]["targettargettarget"]["power"]["text_format"] = "[power:current:shortvalue]"

	E:StaggeredUpdateAll(nil, true)
	ElvUI_EltreumUI:Print(L["DPS/Tank Layout has been set."])
end
